### Name: MPinv
### Title: Moore-Penrose Pseudoinverse of a Real-valued Matrix
### Aliases: MPinv
### Keywords: array

### ** Examples

A <- matrix(c(1, 1, 0,
              1, 1, 0,
              2, 3, 4), 3, 3)
B <- MPinv(A)
A %*% B %*% A - A  # essentially zero
B %*% A %*% B - B  # essentially zero
attr(B, "rank")    # here 2

## now a symmetric example with diagonal submatrix to `eliminate'
A <- matrix(c(1, 0, 2,
              0, 2, 3,
              2, 3, 4), 3, 3)
B <- MPinv(A, eliminate = 1:2)
A %*% B %*% A - A  # essentially zero
B %*% A %*% B - B  # essentially zero
attr(B, "rank")        # here 3

## Not run: 
##D ## demo that eliminate can give substantial speed gains
##D A <- diag(rnorm(100))
##D A <- cbind(A, matrix(rnorm(200), 100, 2))
##D A <- rbind(A, cbind(t(A[, 101:102]), matrix(c(1, 2, 2, 1), 2, 2)))
##D system.time(for (i in 1:1000) B <-  MPinv(A))
##D ##  [1] 26.83 10.24 39.76  0.00  0.00
##D system.time(for (i in 1:1000) B <-  MPinv(A, eliminate = 1:100))
##D ##  [1] 3.49 1.37 5.04 0.00 0.00
## End(Not run)



