### Name: getContrasts
### Title: Estimated Contrasts and Standard Errors for Parameters in a gnm
###   Model
### Aliases: getContrasts
### Keywords: models regression nonlinear

### ** Examples

set.seed(1)
data(yaish)

## Fit the "UNIDIFF" mobility model across education levels
unidiff <- gnm(Freq ~ educ:orig + educ:dest +
               Mult(Exp(-1 + educ), orig:dest), family = poisson,
               data = yaish)
## Examine the education multipliers (differences on the log scale):
getContrasts(unidiff, grep("Mult1.Factor1", names(coef(unidiff))))



