### Name: gnmControl
### Title: Set Control Parameters for Model Fitting
### Aliases: gnmControl
### Keywords: models regression nonlinear

### ** Examples

## A variation on example(gnm)...
data(cautres)
set.seed(1)

##  Fit a "double UNIDIFF" model with the religion-vote and class-vote
##  interactions both modulated by nonnegative election-specific
##  multipliers.

system.time(doubleUnidiff <-
            gnm(Freq ~ election:vote + election:class:religion
                + Mult(Exp(election - 1), religion:vote - 1) +
                Mult(Exp(election - 1), class:vote - 1),
                family = poisson, data = cautres, trace = TRUE))

## repeat with 10 start-up iterations
system.time(doubleUnidiff <-
            gnm(Freq ~ election:vote + election:class:religion
                + Mult(Exp(election - 1), religion:vote - 1) +
                Mult(Exp(election - 1), class:vote - 1),
                family = poisson, data = cautres, trace = TRUE,
                iterStart = 10))
## ...at convergence by first main iteration, but much slower!



