### Name: se
### Title: Standard Errors of Linear Parameter Combinations in gnm Models
### Aliases: se
### Keywords: models regression nonlinear

### ** Examples

data(yaish)
set.seed(1)

## Fit the "UNIDIFF" mobility model across education levels
unidiff <- gnm(Freq ~ educ:orig + educ:dest +
               Mult(Exp(-1 + educ), orig:dest), family = poisson,
               data = yaish)
## Deviance is 208.3

## Get estimate and se for the contrast between educ4 and educ5 in the
## UNIDIFF multiplier
educ4.pos <- grep("Mult.*educ4", names(coef(unidiff)))
mycontrast <- rep(0, length(coef(unidiff)))
mycontrast[educ4.pos] <- 1
mycontrast[educ4.pos + 1] <- -1
se(unidiff, mycontrast)

## Get all of the contrasts with educ5 in the UNIDIFF multipliers
getContrasts(unidiff, grep("Mult.*educ", names(coef(unidiff))))



